
Ruby - Bug #8496

String#b does not check the code range properly

06/05/2013 09:35 PM - knu (Akinori MUSHA)

Status: Closed   

Priority: Normal   

Assignee: naruse (Yui NARUSE)   

Target version: 2.1.0   

ruby -v: ruby 2.1.0dev (2013-06-05 trunk 41090)

[x86_64-freebsd9]

Backport: 1.9.3: UNKNOWN, 2.0.0: UNKNOWN

Description

Currently "abc".b.ascii_only? returns false, which should be true.

Associated revisions

Revision 91538a3882bcb23f9f93f7738da34d4370f54558 - 06/05/2013 03:05 PM - Akinori MUSHA 

string.c (String#b): Allow code range scan to happen later so

ascii_only? on a result string returns the correct value.

[ruby-core:55315] [Bug #8496]

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@41092 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

Revision 91538a38 - 06/05/2013 03:05 PM - Akinori MUSHA 

string.c (String#b): Allow code range scan to happen later so

ascii_only? on a result string returns the correct value.

[ruby-core:55315] [Bug #8496]

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@41092 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

History

#1 - 06/05/2013 09:41 PM - knu (Akinori MUSHA)

A patch is attached.

This problem also applies to ruby_2_0_0.

#2 - 06/05/2013 11:13 PM - naruse (Yui NARUSE)

coderange_scan may cost too much time, so commit it with ENC_CODERANGE_CLEAR(str);.

#3 - 06/06/2013 12:05 AM - knu (Akinori MUSHA)

- Status changed from Open to Closed

- % Done changed from 0 to 100

This issue was solved with changeset r41092.

Akinori, thank you for reporting this issue.

Your contribution to Ruby is greatly appreciated.

May Ruby be with you.

string.c (String#b): Allow code range scan to happen later so

ascii_only? on a result string returns the correct value.

[ruby-core:55315] [Bug #8496]

Files

0001-string.c-String-b-Check-the-code-range-so-ascii_only.patch 1.67 KB 06/05/2013 knu (Akinori MUSHA)
